#!/usr/bin/make -f
#DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-include /usr/share/dpkg/buildtools.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- 'COMPILER_gcc=$(CC)' 'LINKER_gcc=$(CC)' FLAGS="$(shell dpkg-buildflags --get CFLAGS)"

override_dh_install:
	dh_install
	rm -f debian/beep/usr/share/doc/beep/COPYING

override_dh_dwz:
	# this fails ...
	# dwz: debian/beep/usr/bin/beep: .debug_info section not present

override_dh_auto_test:
	# don't run it for now
	# It seems to expect some devices and fails if they don't exist
